# OpalProductInfo Class Reference

`#include <connection.h>`

## Public Member Functions

| OpalProductInfo ()
PCaselessString | AsString () const

## Static Public Member Functions

static OpalProductInfo & | Default ()

## Data Fields

PCaselessString | vendor
PCaselessString | name
PCaselessString | version
PCaselessString | comments
BYTE | t35CountryCode
BYTE | t35Extension
WORD | manufacturerCode

## Friends

ostream & | operator<< (ostream &strm, const OpalProductInfo &info)

## Detailed Description

Class for carying vendor/product information. This consists of a vendor, a product name, a product version and addition comments. Some of these fields may not be present as there is very little standardisation in protocols and implementions.

## Constructor & Destructor Documentation

OpalProductInfo::OpalProductInfo | ( |  | ) |

## Member Function Documentation

PCaselessString OpalProductInfo::AsString | ( |  | ) | const

Get product info as a single string. This outputs name \t version \t T.35 codes (if present) \t vendor

static OpalProductInfo& OpalProductInfo::Default | ( |  | ) | `[static]`

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const OpalProductInfo & | info |
| ) |  |  | `[friend]`

## Field Documentation

PCaselessString OpalProductInfo::comments

WORD OpalProductInfo::manufacturerCode

PCaselessString OpalProductInfo::name

BYTE OpalProductInfo::t35CountryCode

BYTE OpalProductInfo::t35Extension

PCaselessString OpalProductInfo::vendor

PCaselessString OpalProductInfo::version

The documentation for this class was generated from the following file:

- connection.h